/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland-compatible absread/write funtions
*
****************************************************************************/

#include <dos.h>
#include <errno.h>
#include "tinyio.h"

/* static int absrw( int cmd, int drive, int nsects, long lsect, void *buffer )
{
    union  REGS  r;
    struct SREGS s;

    r.h.al = drive;
    r.w.cx = nsects;
    r.w.dx = lsect;
    s.ds = FP_SEG( buffer );
    r.w.bx = FP_OFF( buffer );

    int86x( cmd, &r, &r, &s );

    if( r.x.cflag ) {
        errno = r.w.ax;
        return( -1 );
    }
    return 0;
}*/

_WCRTLINK int absread( int drive, int nsects, long lsect, void *buffer )
{
    int retval = TinyAbsRead( drive, lsect, nsects, buffer );
    if( TINY_ERROR( retval ) ) {
        errno = retval;
        return( -1 );
    }
    return 0;
}

_WCRTLINK int abswrite( int drive, int nsects, long lsect, void *buffer )
{
    int retval = TinyAbsWrite( drive, lsect, nsects, buffer );
    if( TINY_ERROR( retval ) ) {
        errno = retval;
        return( -1 );
    }
    return( 0 );
}

