/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland-compatible get/setdate functions
*
****************************************************************************/

#include <dos.h>

#ifndef COUNTRY
struct date {
    int  da_year;    /* current year */
    char da_day;     /* day of the month */
    char da_mon;     /* month (1 = Jan) */
};
#endif

_WCRTLINK void getdate( struct date *datep )
{
    struct dosdate_t date;
    
    _dos_getdate( &date );
    datep->da_year = date.year;
    datep->da_day = date.day;
    datep->da_mon = date.month;
}

_WCRTLINK void setdate( struct date *datep )
{
    struct dosdate_t date;

    date.year = datep->da_year;
    date.day = datep->da_day;
    date.month = datep->da_mon;
    _dos_setdate( &date );
}

