/****************************************************************************
*
*                            Open Watcom Project
*
*    Portions Copyright (c) 1983-2002 Sybase, Inc. All Rights Reserved.
*
*  ========================================================================
*
*    This file contains Original Code and/or Modifications of Original
*    Code as defined in and that are subject to the Sybase Open Watcom
*    Public License version 1.0 (the 'License'). You may not use this file
*    except in compliance with the License. BY USING THIS FILE YOU AGREE TO
*    ALL TERMS AND CONDITIONS OF THE LICENSE. A copy of the License is
*    provided with the Original Code and Modifications, and is also
*    available at www.sybase.com/developer/opensource.
*
*    The Original Code and all software distributed under the License are
*    distributed on an 'AS IS' basis, WITHOUT WARRANTY OF ANY KIND, EITHER
*    EXPRESS OR IMPLIED, AND SYBASE AND ALL CONTRIBUTORS HEREBY DISCLAIM
*    ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF
*    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR
*    NON-INFRINGEMENT. Please see the License for the specific language
*    governing rights and limitations under the License.
*
*  ========================================================================
*
* Description:  Borland-compatible inp.../outp... equivalents
*
****************************************************************************/

#include <dos.h>

#define PEEK( a,b )    ( *( (int far *)  MK_FP ( (a),(b)) ))
#define PEEKB( a,b )   ( *( (char far *) MK_FP ( (a),(b)) ))
#define POKE( a,b,c )  ( *( (int far *)  MK_FP ( (a),(b)) ) =(int)(c))
#define POKEB( a,b,c ) ( *( (char far *) MK_FP ( (a),(b)) ) =(char)(c))

_WCRTLINK int peek( unsigned segment, unsigned offset )
{
    return( PEEK( segment, offset ) );
}

_WCRTLINK char peekb( unsigned segment, unsigned offset )
{
    return( PEEKB( segment, offset ) );
}

_WCRTLINK void poke( unsigned segment, unsigned offset, int value )
{
    POKE( segment, offset, value );
}

_WCRTLINK void pokeb( unsigned segment, unsigned offset, char value )
{
    POKEB( segment, offset, value );
}

